# Class UnknownMessageAttributeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
de.javawi.jstun.attribute.MessageAttributeException
de.javawi.jstun.attribute.MessageAttributeParsingException
de.javawi.jstun.attribute.UnknownMessageAttributeException

All Implemented Interfaces:
  `Serializable`

public class UnknownMessageAttributeException extends MessageAttributeParsingException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownMessageAttributeException(String mesg, MessageAttributeInterface.MessageAttributeType type)`

## Method Summary

Modifier and Type
Method
Description
`MessageAttributeInterface.MessageAttributeType`
`getType()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownMessageAttributeException

public UnknownMessageAttributeException(String mesg, MessageAttributeInterface.MessageAttributeType type)

## Method Details

### getType

public MessageAttributeInterface.MessageAttributeType getType()